<?php
require_once 'db.php';

class registro_datos extends conn { 

public function validarCedula ($cedula) {
$conn = parent::crearconn();
$cedula= $conn->real_escape_string($cedula); 
$sql2 = "SELECT * FROM datos_personales WHERE Cedula = '$cedula'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
    return false;
    }else{
    return true;

    }


}

public function validarRif ($rif) {
$conn = parent::crearconn();
$cedula= $conn->real_escape_string($cedula); 
$sql2 = "SELECT * FROM proveedores WHERE Rif_Empresa = '$rif'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
    return false;
    }else{
    return true;

    }


}


//Metodo para mostrar todos los datos
public function getAllDatos($tipo)
{
$conn = parent::crearconn();
$sql = " SELECT dp.Cedula, dp.Nombre, dp.Apellido, dp.Direccion, dp.Telefono, dp.tipo_documento, dp.Correo, tp.descripcion as Tipo_per
 FROM datos_personales dp inner join tipo_persona tp on dp.ID_Tipo_persona = tp.ID  where Status = 1 
 AND  dp.ID_Tipo_persona = '$tipo' "  ; 
$result = $conn->query($sql);
$datos = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $datos[] = $row;
       }   
    }   
    return $datos;
}  
//Metodo para mostrar todos los datos donde tipo_persona sea cliente, es para usuario tipo vendedor
public function getAllDatosCli()
{
$conn = parent::crearconn();
$sql = " SELECT dp.Cedula, dp.Nombre, dp.Apellido, dp.Direccion, dp.Telefono, dp.Correo, tp.descripcion as Tipo_per
 FROM datos_personales dp inner join tipo_persona tp on dp.ID_Tipo_persona = tp.ID  where Status = 1 and dp.ID_Tipo_persona = 2 " ; 
$result = $conn->query($sql);
$datos = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $datos[] = $row;
       }   
    }   
    return $datos;
}  
//Metodo para mostrar todos los datos eiminados
public function getAllDatosDelete()
{
$conn = parent::crearconn();
$sql = " SELECT dp.Cedula, dp.Nombre, dp.Apellido, dp.Direccion, dp.Telefono, dp.Correo, tp.descripcion as Tipo_per
 FROM datos_personales dp inner join tipo_persona tp on dp.ID_Tipo_persona = tp.ID  where Status = 0  " ; 
$result = $conn->query($sql);
$datos = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $datos[] = $row;
       }   
    }   
    return $datos;
}    
   
//Metodo para registrar los datos
public function savedat($cedula,$nombre,$apellido,$direccion,$telefono,$correo,$tipo,$nombre_empresa,$rif_empresa,$producto_provee,$tipodoc,$tiporif)
{
$conn = parent::crearconn(); 
$cedula= $conn->real_escape_string($cedula); 
$nombre= $conn->real_escape_string($nombre); 
$apellido= $conn->real_escape_string($apellido); 
$direccion= $conn->real_escape_string($direccion); 
$telefono= $conn->real_escape_string($telefono); 
$correo= $conn->real_escape_string($correo); 
$tipo= $conn->real_escape_string($tipo); 
$nombre_empresa= $conn->real_escape_string($nombre_empresa); 
$rif_empresa= $conn->real_escape_string($rif_empresa); 
$producto_provee= $conn->real_escape_string($producto_provee); 
$tipodoc= $conn->real_escape_string($tipodoc); 

$tiporif= $conn->real_escape_string($tiporif); 
$sql = "INSERT INTO datos_personales (Cedula,Nombre,Apellido,Direccion,Telefono,Correo,ID_Tipo_persona,tipo_documento) values('$cedula','$nombre','$apellido','$direccion','$telefono','$correo','$tipo','$tipodoc')";
$result = $conn->query($sql);
  

$tipo= $conn->real_escape_string($tipo);

if ($tipo == "2") { 
 $sql2 = "INSERT INTO cliente (CI_Datos) values('$cedula')";

}elseif ($tipo == "1") { 
  $sql2=  "INSERT INTO proveedores (CI_Datos,Nombre_Empresa,Rif_Empresa,Producto_Provee,tipo_documento) values('$cedula','$nombre_empresa','$rif_empresa','$producto_provee','$tiporif')";
   
}
$conn->query($sql2);


}



// Metodo para ver datos
public function getById($datId) 
{
$conn = parent::crearconn();
$datId = $conn->real_escape_string($datId);
$sql = "SELECT * FROM datos_personales WHERE Cedula = '$datId'";
$result = $conn->query($sql); 
if ($result->num_rows == 1) {
 $dato= $result->fetch_assoc(); return $dato;
} else { 
  return null;
    }
}

//Metodo para editar datos
public function updatedatos($datID,$nombre,$apellido,$direccion,$telefono,$correo)
{ 
$conn = parent::crearconn();
mysqli_query ($conn, "UPDATE `datos_personales` SET  `Nombre` = '$nombre', `Apellido` = '$apellido', `Direccion` = '$direccion', `Telefono` = '$telefono', `Correo` = '$correo' WHERE `Cedula` = '$datID'; ");
mysqli_close($conn);
}

//Metodo para eliminar un dato logicamente
public function eliminar($ci)
{
$conn = parent::crearconn();
$ci = $conn->real_escape_string($ci);
$sql = "UPDATE `datos_personales` set `Status` = '0' WHERE Cedula = '$ci' ";
$resultado = $conn->query($sql);


}
//Metodo para restaurar un dato 
public function restaurard($ci)
{
$conn = parent::crearconn();
$ci = $conn->real_escape_string($ci);
$sql = "UPDATE `datos_personales` set `Status` = '1' WHERE Cedula = '$ci' ";
$resultado = $conn->query($sql);


}


}
?>